Getting started
Get a domain
Read one domain's routing and verification state within this project.
GET
/api/customer/v1/projects/{projectId}/domains/{domainId}Path parameters
| Name | Value |
|---|---|
projectId | Required resource ID from an earlier API response. |
domainId | Required resource ID from an earlier API response. |
Example request
Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.
curl --request GET "$HCODE_BASE_URL/api/customer/v1/projects/${PROJECT_ID}/domains/${DOMAIN_ID}" \
--header "Authorization: Bearer $HCODE_API_KEY" Response
The JSON shape is defined in the response schema.
Response schema
{
"type": "object",
"properties": {
"domain": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"projectId": {
"type": "string"
},
"hostname": {
"type": "string"
},
"type": {
"type": "string"
},
"sslMode": {
"type": "string"
},
"sslStatus": {
"type": "string"
},
"httpsStatus": {
"type": "string"
},
"dnsStatus": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dnsCheckedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dnsError": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"httpsCheckedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"httpsError": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"activationStatus": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"activationMessage": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"verifiedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"isPrimary": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"proxyDetected": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"serving": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"hostname"
],
"additionalProperties": true
}
},
"required": [
"domain"
],
"additionalProperties": true
}See errors and retries for failure responses.